> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.vapi.ai/llms.txt.
> For full documentation content, see https://docs.vapi.ai/llms-full.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.vapi.ai/_mcp/server.

# List Files

GET https://api.vapi.ai/file

Reference: https://docs.vapi.ai/api-reference/files/list

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: api
  version: 1.0.0
paths:
  /file:
    get:
      operationId: list
      summary: List Files
      tags:
        - subpackage_files
      parameters:
        - name: Authorization
          in: header
          description: Retrieve your API Key from [Dashboard](dashboard.vapi.ai).
          required: true
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/File'
servers:
  - url: https://api.vapi.ai
components:
  schemas:
    FileObject:
      type: string
      enum:
        - file
      title: FileObject
    FileStatus:
      type: string
      enum:
        - processing
        - done
        - failed
      title: FileStatus
    FileMetadata:
      type: object
      properties: {}
      title: FileMetadata
    File:
      type: object
      properties:
        object:
          $ref: '#/components/schemas/FileObject'
        status:
          $ref: '#/components/schemas/FileStatus'
        name:
          type: string
          description: This is the name of the file. This is just for your own reference.
        originalName:
          type: string
        bytes:
          type: number
          format: double
        purpose:
          type: string
        mimetype:
          type: string
        key:
          type: string
        path:
          type: string
        bucket:
          type: string
        url:
          type: string
        parsedTextUrl:
          type: string
        parsedTextBytes:
          type: number
          format: double
        metadata:
          $ref: '#/components/schemas/FileMetadata'
        id:
          type: string
          description: This is the unique identifier for the file.
        orgId:
          type: string
          description: This is the unique identifier for the org that this file belongs to.
        createdAt:
          type: string
          format: date-time
          description: This is the ISO 8601 date-time string of when the file was created.
        updatedAt:
          type: string
          format: date-time
          description: >-
            This is the ISO 8601 date-time string of when the file was last
            updated.
      required:
        - id
        - orgId
        - createdAt
        - updatedAt
      title: File
  securitySchemes:
    bearer:
      type: http
      scheme: bearer
      description: Retrieve your API Key from [Dashboard](dashboard.vapi.ai).

```

## SDK Code Examples

```python
from vapi import Vapi

client = Vapi(
    token="YOUR_TOKEN_HERE",
)

client.files.list()

```

```go
package example

import (
    context "context"

    client "github.com/VapiAI/server-sdk-go/client"
    option "github.com/VapiAI/server-sdk-go/option"
)

func do() {
    client := client.NewClient(
        option.WithToken(
            "YOUR_TOKEN_HERE",
        ),
    )
    client.Files.List(
        context.TODO(),
    )
}

```